mail archive of the barebox mailing list
 help / color / mirror / Atom feed
From: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
To: barebox@lists.infradead.org
Subject: [PATCH 1/1] defaultenv-2: move settings in a submenu
Date: Tue, 25 Sep 2012 03:43:44 +0200	[thread overview]
Message-ID: <1348537424-9859-1-git-send-email-plagnioj@jcrosoft.com> (raw)

To be more clear

so on the mainmenu we will just have
 - the boot option
 - settings
 - shell
 - reset

Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
---
 defaultenv-2/menu/menu/mainmenu |    5 +----
 defaultenv-2/menu/menu/settings |   21 +++++++++++++++++++++
 2 files changed, 22 insertions(+), 4 deletions(-)
 create mode 100644 defaultenv-2/menu/menu/settings

diff --git a/defaultenv-2/menu/menu/mainmenu b/defaultenv-2/menu/menu/mainmenu
index 5bd7027..f10f67a 100644
--- a/defaultenv-2/menu/menu/mainmenu
+++ b/defaultenv-2/menu/menu/mainmenu
@@ -14,10 +14,7 @@ while true; do
 
 	boot-entries-collect
 
-	menu -e -a -R -m boot -c "$global.editcmd /env/network/eth0" -d "Network settings"
-	menu -e -a -m boot -c "boot-entries-edit" -d "Edit boot entries"
-	menu -e -a -m boot -c "init-entries-edit" -d "Edit init entries"
-	menu -e -a -R -m boot -c "saveenv || echo \"failed to save environment\" && sleep 2" -d "Save settings"
+	menu -e -a -m boot -c "settings" -d "Settings"
 	menu -e -a -m boot -c 'PATH=$savepath; echo "enter exit to return to menu"; sh' -d "${DARK_YELLOW}Shell${NC}"
 	menu -e -a -m boot -c reset -d "${RED}Reset${NC}"
 
diff --git a/defaultenv-2/menu/menu/settings b/defaultenv-2/menu/menu/settings
new file mode 100644
index 0000000..3f84b03
--- /dev/null
+++ b/defaultenv-2/menu/menu/settings
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+export menu_exit=false
+
+while true; do
+	menu -a -m settings -d "${CYAN}Settings${NC}"
+
+	menu -e -a -R -m settings -c "$global.editcmd /env/network/eth0" -d "Network settings"
+
+	menu -e -a -m settings -c "boot-entries-edit" -d "Edit boot entries"
+	menu -e -a -m settings -c "init-entries-edit" -d "Edit init entries"
+	menu -e -a -R -m settings -c "saveenv || echo \"failed to save environment\" && sleep 2" -d "Save settings"
+	menu -e -a -m settings -c "menu_exit=true" -d "back"
+
+	menu -s -m settings
+	menu -r -m settings
+
+	if [ $menu_exit = true ]; then
+		exit
+	fi
+done
-- 
1.7.10.4


_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox

             reply	other threads:[~2012-09-25  1:46 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-09-25  1:43 Jean-Christophe PLAGNIOL-VILLARD [this message]
2013-03-12 20:48 Jean-Christophe PLAGNIOL-VILLARD
2013-03-15  7:24 ` Sascha Hauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1348537424-9859-1-git-send-email-plagnioj@jcrosoft.com \
    --to=plagnioj@jcrosoft.com \
    --cc=barebox@lists.infradead.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox